summaryrefslogtreecommitdiffstats
path: root/development/parrot/parrot.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/parrot/parrot.SlackBuild')
-rw-r--r--development/parrot/parrot.SlackBuild8
1 files changed, 3 insertions, 5 deletions
diff --git a/development/parrot/parrot.SlackBuild b/development/parrot/parrot.SlackBuild
index 6ba1cf1952..9e2c3b60f5 100644
--- a/development/parrot/parrot.SlackBuild
+++ b/development/parrot/parrot.SlackBuild
@@ -8,12 +8,10 @@ VERSION=${VERSION:-5.4.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -38,7 +36,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -62,8 +60,8 @@ perl Configure.pl \
--parrot_is_shared
# --icu-config=/usr/bin/icu-config
-make
-make DESTDIR=$PKG install
+make
+make DESTDIR=$PKG install
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done